<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta name="author" content="Limoog">

        <title>PAA</title>
        <link rel="icon" type="image/x-icon" href="{{ asset_version('Images/PAA.ICO') }}?v=2" />

        <style type="text/css">

            {% block styles %}
{#LG 20200914 début : pour éviter de mettre des styles dans le body #}
{#                html, body {
                    height: 100%;
                    overflow: auto;
                }
                body
                background-image:-moz-linear-gradient(150deg, white, lightyellow);
                background-image:-webkit-linear-gradient(150deg, white, lightyellow);
                background-image:-o-linear-gradient(150deg, white, lightyellow);
                background-image:linear-gradient(180deg, white, lightyellow);
                min-width: 0;
                color: #444;
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
                font-size: 13px;
                line-height: 1.4em;
                }
                h1 {
                    font-size: 18px;
                }
                a {
                    color: #444;
                }
#}              .bodyDuLayout{
                    min-width: 0;
                    color: #444;
                    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
                    font-size: 13px;
                    line-height: 1.4em;
                }
{#LG 20200914 fin #}
                .cadrePrincipal {
                    width: 320px;
                    padding: 5% 0 0;
                    margin: auto;
                }
                .cadreIntérieur {
                    margin-top: 10px;
                    margin-left: 0;
                    padding: 10px 24px 10px;
                    background: #fff;
                    -webkit-box-shadow: 0 1px 3px rgba(0,0,0,.13);
                    box-shadow: 0 1px 3px rgba(0,0,0,.13);
                }
                .cadreIntérieur > form > input[type="text"]
                    , .cadreIntérieur > form > input[type="submit"]
                    , .cadreIntérieur > form > input[type="email"]
                    , .cadreIntérieur > form > input[type="password"] {
                    background: #fbfbfb;
                    font-size: 14px;
                    width: 100%;
                    padding: 3px;
                    margin: 2px 6px 16px 0;			
                }
                .cadreIntérieur > a {
                    color: #444;
                    border-width: 0 ;
               }
                .logo {
                    margin: auto;
                    display: block;
                    width: 341px;
                    height: 155px;
                    border-width: 0 ;
                }
                .msgDuLayout {
                    color: red;
                    font-size: 14px;
                }
            {% endblock styles %}
        </style>
    </head>
    <body>
        {#LG 20200914 début : pour éviter de mettre des styles dans le body #}
        <div class ="bodyDuLayout">
            {#LG 20200914 fin #}
            <div>
                {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                    {#Affiche "Connecté en tant que ... Déconnexion"#}
                    {{ 'layout.logged_in_as'|trans({'%username%': app.user.username}, 'FOSUserBundle') }} |
                    <a href="{{ path('fos_user_security_logout') }}">
                        {{ 'layout.logout'|trans({}, 'FOSUserBundle') }}
                    </a>
                {% else %}
                    {#Affiche un lien vers la connexion, sans intérêt#}
                    {#<a href="{{ path('fos_user_security_login') }}">{{ 'layout.login'|trans({}, 'FOSUserBundle') }}</a>#}
                {% endif %}		
            </div>

            {% if app.request.hasPreviousSession %}
                {% for type, messages in app.session.flashbag.all() %}
                    {% for message in messages %}
                        <div class="flash-{{ type }}">
                            {{ message }}
                        </div>
                    {% endfor %}
                {% endfor %}
            {% endif %}
            <div id="msgDuLayout" class="msgDuLayout"></div>

            <div class = "cadrePrincipal bg-white shadow-sm">
                <a href = "http://www.limoog.net">
                    <img src="{{ asset_version("Images/logoPAA.png") }} " alt = "Planning Accueil Accompagnement" class = "logo">
                </a>
                <div class = "cadreIntérieur">
                    {% block fos_user_content %}
                    {% endblock fos_user_content %}
                </div>
            </div>
            {#LG 20200914 déubt #}
        </div>
        {#LG 20200914 fin #}
    </body>
</html>
